package com.red.circle.common.business.enums;

import java.util.Objects;

/**
 * @author pengliang on 2022/12/9
 */
public enum OperationUserOrigin {
  /**
   * 前端app.
   */
  APP(0),

  /**
   * 系统
   */
  BACK(1);

  OperationUserOrigin(int value) {
    this.value = value;
  }

  private int value;

  public int getValue() {
    return value;
  }

  public void setValue(int value) {
    this.value = value;
  }

  public boolean eq(int val) {
    return Objects.equals(val, this.value);
  }
}
